List every market, newest first, with settlement results
curl --request GET \
--url https://www.vibekast.xyz/api/v2/marketsconst options = {method: 'GET'};
fetch('https://www.vibekast.xyz/api/v2/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.vibekast.xyz/api/v2/markets"
response = requests.get(url)
print(response.text){
"chainId": 84532,
"registry": "<string>",
"markets": [
{
"address": "<string>",
"index": 0,
"label": "<string>",
"question": "<string>",
"status": "open",
"closeTime": 4503599627370495,
"closeTimeIso": "2023-11-07T05:31:56Z",
"collateral": "<string>",
"grid": {
"n": 0,
"lo": "<string>",
"hi": "<string>",
"width": "<string>"
},
"settlement": {
"value": "<string>",
"range": 0,
"rangeLo": "<string>",
"rangeHi": "<string>"
},
"volume": "<string>",
"trades": 0,
"fees": "<string>"
}
]
}{
"code": "INVALID_JSON",
"message": "<string>"
}{
"code": "INVALID_JSON",
"message": "<string>"
}Markets
List every market, newest first, with settlement results
GET
/
api
/
v2
/
markets
List every market, newest first, with settlement results
curl --request GET \
--url https://www.vibekast.xyz/api/v2/marketsconst options = {method: 'GET'};
fetch('https://www.vibekast.xyz/api/v2/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.vibekast.xyz/api/v2/markets"
response = requests.get(url)
print(response.text){
"chainId": 84532,
"registry": "<string>",
"markets": [
{
"address": "<string>",
"index": 0,
"label": "<string>",
"question": "<string>",
"status": "open",
"closeTime": 4503599627370495,
"closeTimeIso": "2023-11-07T05:31:56Z",
"collateral": "<string>",
"grid": {
"n": 0,
"lo": "<string>",
"hi": "<string>",
"width": "<string>"
},
"settlement": {
"value": "<string>",
"range": 0,
"rangeLo": "<string>",
"rangeHi": "<string>"
},
"volume": "<string>",
"trades": 0,
"fees": "<string>"
}
]
}{
"code": "INVALID_JSON",
"message": "<string>"
}{
"code": "INVALID_JSON",
"message": "<string>"
}Query Parameters
Only markets with this status. open: trading. closed: past close, waiting for settlement. settled: resolved on the Chainlink price; winning shares pay 1 tUSDC. voided: could never settle; positions redeem at final market prices.
Available options:
open, closed, settled, voided Was this page helpful?